commit:     cceb046f7e18ce2fce30e1739fbb162f120d0096
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 30 20:59:10 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Jul 30 21:52:43 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cceb046f

app-emacs/org-mode: re-enable tests

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/org-mode/org-mode-9.7.33.ebuild | 52 ++++++++++++++++++-----------
 app-emacs/org-mode/org-mode-9999.ebuild   | 55 ++++++++++++++++++++++---------
 2 files changed, 72 insertions(+), 35 deletions(-)

diff --git a/app-emacs/org-mode/org-mode-9.7.33.ebuild 
b/app-emacs/org-mode/org-mode-9.7.33.ebuild
index 7c045e5649c4..9ce0a3ef0fd9 100644
--- a/app-emacs/org-mode/org-mode-9.7.33.ebuild
+++ b/app-emacs/org-mode/org-mode-9.7.33.ebuild
@@ -8,14 +8,15 @@ inherit elisp readme.gentoo-r1
 DESCRIPTION="An Emacs mode for notes and project planning"
 HOMEPAGE="https://orgmode.org/";
 
-if [[ "${PV}" == 9999 ]]; then
+if [[ "${PV}" == 9999 ]] ; then
        inherit git-r3
 
-       EGIT_REPO_URI="https://git.savannah.gnu.org/git/emacs/${PN}.git";
+       EGIT_REPO_URI="https://git.savannah.gnu.org/git/emacs/${PN}";
        EGIT_CHECKOUT_DIR="${WORKDIR}/org"
        S="${WORKDIR}/org"
 else
        MY_P="${PN}-release_${PV}"
+
        
SRC_URI="https://git.savannah.gnu.org/cgit/emacs/${PN}.git/snapshot/${MY_P}.tar.gz";
        S="${WORKDIR}/${MY_P}"
 
@@ -25,42 +26,55 @@ fi
 LICENSE="GPL-3+ FDL-1.3+ CC-BY-SA-3.0 odt-schema? ( OASIS-Open )"
 SLOT="0"
 IUSE="doc odt-schema"
-RESTRICT="test"
 
 BDEPEND="
-       doc? ( virtual/texi2dvi )
+       doc? (
+               virtual/texi2dvi
+       )
 "
 
+DOCS=( README.org CONTRIBUTE.org etc/ORG-NEWS )
 SITEFILE="50${PN}-gentoo.el"
 
 src_prepare() {
        elisp_src_prepare
 
        # Remove failing tests.
-       rm ./testing/lisp/test-{ob,ob-exp,ob-tangle,ob-shell}.el || die
+       rm ./testing/lisp/test-{ob,ob-exp,ob-tangle,ob-shell,org-clock}.el \
+               || die "failed to remove some test files"
+
+       EMAKEARGS=(
+               ORGVERSION="${PV}"
+               ETCDIRS="styles csl $(use odt-schema && echo schema)"
+               lispdir="${EPREFIX}${SITELISP}/${PN}"
+               datadir="${EPREFIX}${SITEETC}/${PN}"
+               infodir="${EPREFIX}/usr/share/info"
+       )
 }
 
 src_compile() {
-       emake -j1 \
-               ORGVERSION="${PV}" \
-               datadir="${EPREFIX}${SITEETC}/${PN}"
+       emake -j1 "${EMAKEARGS[@]}"
+
+       if use doc ; then
+               emake -j1 pdf
+               emake -j1 card
+       fi
+}
+
+src_test() {
+       local -x LANG="C"
 
-       use doc && emake -j1 pdf card
+       emake -j1 "${EMAKEARGS[@]}" TEST_NO_AUTOCLEAN="TRUE" test-dirty
 }
 
 src_install() {
-       emake -j1 \
-               ORGVERSION="${PV}" \
-               DESTDIR="${D}" \
-               ETCDIRS="styles csl $(use odt-schema && echo schema)" \
-               lispdir="${EPREFIX}${SITELISP}/${PN}" \
-               datadir="${EPREFIX}${SITEETC}/${PN}" \
-               infodir="${EPREFIX}/usr/share/info" \
-               install
+       if use doc ; then
+               DOCS+=( doc/org.pdf doc/orgcard.pdf doc/orgguide.pdf )
+       fi
 
+       emake -j1 "${EMAKEARGS[@]}" DESTDIR="${D}" install
        elisp-site-file-install "${FILESDIR}/${SITEFILE}"
-       dodoc README.org CONTRIBUTE.org etc/ORG-NEWS
-       use doc && dodoc doc/org.pdf doc/orgcard.pdf doc/orgguide.pdf
+       einstalldocs
 
        local DOC_CONTENTS="Org mode has a large variety of run-time 
dependencies,
                so you may have to install one or more additional packages.

diff --git a/app-emacs/org-mode/org-mode-9999.ebuild 
b/app-emacs/org-mode/org-mode-9999.ebuild
index 1fc3dbd33b95..9ce0a3ef0fd9 100644
--- a/app-emacs/org-mode/org-mode-9999.ebuild
+++ b/app-emacs/org-mode/org-mode-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -8,10 +8,10 @@ inherit elisp readme.gentoo-r1
 DESCRIPTION="An Emacs mode for notes and project planning"
 HOMEPAGE="https://orgmode.org/";
 
-if [[ "${PV}" == 9999 ]]; then
+if [[ "${PV}" == 9999 ]] ; then
        inherit git-r3
 
-       EGIT_REPO_URI="https://git.savannah.gnu.org/git/emacs/${PN}.git";
+       EGIT_REPO_URI="https://git.savannah.gnu.org/git/emacs/${PN}";
        EGIT_CHECKOUT_DIR="${WORKDIR}/org"
        S="${WORKDIR}/org"
 else
@@ -26,32 +26,55 @@ fi
 LICENSE="GPL-3+ FDL-1.3+ CC-BY-SA-3.0 odt-schema? ( OASIS-Open )"
 SLOT="0"
 IUSE="doc odt-schema"
-RESTRICT="test"
 
 BDEPEND="
-       doc? ( virtual/texi2dvi )
+       doc? (
+               virtual/texi2dvi
+       )
 "
 
+DOCS=( README.org CONTRIBUTE.org etc/ORG-NEWS )
 SITEFILE="50${PN}-gentoo.el"
 
+src_prepare() {
+       elisp_src_prepare
+
+       # Remove failing tests.
+       rm ./testing/lisp/test-{ob,ob-exp,ob-tangle,ob-shell,org-clock}.el \
+               || die "failed to remove some test files"
+
+       EMAKEARGS=(
+               ORGVERSION="${PV}"
+               ETCDIRS="styles csl $(use odt-schema && echo schema)"
+               lispdir="${EPREFIX}${SITELISP}/${PN}"
+               datadir="${EPREFIX}${SITEETC}/${PN}"
+               infodir="${EPREFIX}/usr/share/info"
+       )
+}
+
 src_compile() {
-       emake -j1 datadir="${EPREFIX}${SITEETC}/${PN}"
+       emake -j1 "${EMAKEARGS[@]}"
+
+       if use doc ; then
+               emake -j1 pdf
+               emake -j1 card
+       fi
+}
+
+src_test() {
+       local -x LANG="C"
 
-       use doc && emake -j1 pdf card
+       emake -j1 "${EMAKEARGS[@]}" TEST_NO_AUTOCLEAN="TRUE" test-dirty
 }
 
 src_install() {
-       emake -j1 \
-               DESTDIR="${D}" \
-               ETCDIRS="styles csl $(use odt-schema && echo schema)" \
-               lispdir="${EPREFIX}${SITELISP}/${PN}" \
-               datadir="${EPREFIX}${SITEETC}/${PN}" \
-               infodir="${EPREFIX}/usr/share/info" \
-               install
+       if use doc ; then
+               DOCS+=( doc/org.pdf doc/orgcard.pdf doc/orgguide.pdf )
+       fi
 
+       emake -j1 "${EMAKEARGS[@]}" DESTDIR="${D}" install
        elisp-site-file-install "${FILESDIR}/${SITEFILE}"
-       dodoc README.org CONTRIBUTE.org etc/ORG-NEWS
-       use doc && dodoc doc/org.pdf doc/orgcard.pdf doc/orgguide.pdf
+       einstalldocs
 
        local DOC_CONTENTS="Org mode has a large variety of run-time 
dependencies,
                so you may have to install one or more additional packages.

Reply via email to